Theysen

[1.6.1] Realism Overhaul v12.7.2 [17 July 2019]

Recommended Posts

Hello

 

I have the issue, that only the first rocket gets placed with straight up launch towers. All following launches are slightly pointing away from mid, making a launch with early unguided rockets almost impossible. Anyone else encountered this issue?

Share this post


Link to post
Share on other sites

I think CKAN is probally installing a wrong version of some mods.

I just did a clean 1.2.2 installation and using CKAN to install RealismOverhaul + Dependencies + SuggestedMods .

Result = Crash during loading.

I don't have any doubt that is trying to load a mod compiled against KSP 1.3.0 but I need to find which one :(

Share this post


Link to post
Share on other sites
22 minutes ago, kerboman25 said:

@carlitonope i don't even have KIS installed but i do have other mods that are 1.3 do you think they are the problem?

If they have a .dll most likely. Please use 1.2.2 only compatible versions of the mods. 

We actually should monitor the CKAN compatibility at this point as long as CKAN installs incompatible mod versions in 1.2.2 under RO. If those can't be fixed we have to refrain from supporting CKAN again until either all mods are properly installed by CKAN or we are on a stable 1.3. 

This isn't a CKAN bug or error but has to do with the version files the actual mod contains and which CKAN reads (one of a reason, not the only one). 

 

 

Share this post


Link to post
Share on other sites

Upgrading Firespitter & CRP crashing my 11.5 setup.

Rolled back Firespitter manually to get it working. 7.6.0--->7.5.1

Edited by Bornholio

Share this post


Link to post
Share on other sites
On 5/28/2017 at 6:01 AM, KerbolExplorer said:

i think theres a bug here:every time i go EVA my kerbals explode do to overheating

You need the patch from DRE.

On 5/17/2017 at 9:34 PM, Starwaster said:

I'm starting to get an idea of how this might be happening... probably because ModuleAeroReentry isn't initializing properly for Kerbals. Why they're getting singled out I don't have 100% worked out yet but there's a file you can download to fix it. It was going to go in the next update but I've been using it with 7.5.0 which is why I don't have exploding Kerbals, apparently.

https://raw.githubusercontent.com/Starwaster/DeadlyReentry/master/DeadlyReentry/DeadlyReentry-KerbalEVA.cfg

Copy that to your DeadlyReentry folder. You might want to take a minute to read its contents because it actually imposes some harsher limits on the Kerbal internal temperatures... namely, their absolute maximum limit is the temperature of boiling water. Their space suits (skin temp) is more resilient and has better emissive and absorptive properties (contrary to popular belief you can have differing values for each)

Edit: I made an edit to it a couple of minutes ago so make sure you have that one, in case you downloaded it while I was editing it.

This all should be fixed in DRE 7.6.0

Edited by Bornholio

Share this post


Link to post
Share on other sites

I found that Kerbal Inventory System seems to be the specific MOD that causes the crash on loading for me. CKAN is trying to load the 1.3 version of KIS, so there is the version problem there.

I loaded the 1.4.4 version of KIS and it seems to work just fine. Hooray!

 

 

Edited by Bjhines3d

Share this post


Link to post
Share on other sites

Is their a re scale factor for manned parts, I want to scale MKS up to RO sized parts but I need a size to edit the files

Share this post


Link to post
Share on other sites
9 minutes ago, JustZach said:

Is their a re scale factor for manned parts, I want to scale MKS up to RO sized parts but I need a size to edit the files

MKS parts follow the stock progression (.625, 1.25, 2.5, 3.75), all parts have a rescalefactor in the .cfgs so you could use MM to multiply all of them.

Share this post


Link to post
Share on other sites
14 minutes ago, TheRagingIrishman said:

MKS parts follow the stock progression (.625, 1.25, 2.5, 3.75), all parts have a rescalefactor in the .cfgs so you could use MM to multiply all of them.

Thanks but I am kind of new to all this tech stuff so if it is not to much to ask, how do you do that?

Share this post


Link to post
Share on other sites

Piggy Backing on JustZach - I'm hoping to scale the Mk1-3 pods back down to Kerbal Sized Pods, because they look way to big on EVA in RSS/RO.   I'd like to keep the attributes but simply scale the models back down to be properly sized with Kerbals, as well as the relevant fuel tanks, etc.   Is this also something I could modify via MM and if so, what value should I change?

Share this post


Link to post
Share on other sites

I'm having a problem with the most recent RO update (11.5.0) for 1.2.2. Both AIES and KW parts are not being modified by Realism Overhaul. This means I'm left with a severe lack of orbital engines. More specifically, I need my boy Aestus for a mission, but it's asking me for kerosene and LOX, with only one ignition. Parts from both of these modpacks had the prefix "non-RO" as seen here: http://i.imgur.com/XRAz5Kk.png. Here is my list of mods: gVl1Ls6.png

I downloaded all of them about 3 days ago.

 

Edit: Now that I orbited, I just noticed a massive problem, I can't use RCS at all. Even though I manually enable the thrusters, set it to the same fuel as the tank and even directly attach it to the fuel tanks, I can't use ANY RCS thruster.

Edited by coldblade2000

Share this post


Link to post
Share on other sites

Installing from CKAN it seems that Semi Saturable Reaction Wheels is installing the 1.3 version. Installing SSRW v1.12 manually bypasses this issue and it seems that I can then install all the RO recommended and suggested mods from CKAN without issue.

Share this post


Link to post
Share on other sites
5 hours ago, coldblade2000 said:

I'm having a problem with the most recent RO update (11.5.0) for 1.2.2. Both AIES and KW parts are not being modified by Realism Overhaul. This means I'm left with a severe lack of orbital engines. More specifically, I need my boy Aestus for a mission, but it's asking me for kerosene and LOX, with only one ignition. Parts from both of these modpacks had the prefix "non-RO" as seen here: http://i.imgur.com/XRAz5Kk.png. Here is my list of mods: I downloaded all of them about 3 days ago.

 

Edit: Now that I orbited, I just noticed a massive problem, I can't use RCS at all. Even though I manually enable the thrusters, set it to the same fuel as the tank and even directly attach it to the fuel tanks, I can't use ANY RCS thruster.

 

First of all we highly appreciate the output_log.txt or ksp.log files for error reports and in specific cases of misconfigured parts the modulemanager.cache file out of the GameData folder. :)

For your issues though: 

Your GameDate folder contains way too many "bad" stuff for a proper RO install.

1) You have both RealSolarSystem and StockSizeRealSolarSystem (SSRSS) installed. Choose one.

2) You can't have the zzRFStockalike and RealFuelsStockalike inside your GameData folder if you want to use the properly configured fuels by RO. Will most propably solve your RCS issue, too. 

3) You can't have SSTU-Optional Patches installed in RO since it prunes some parts mandatory for other mods to work and changes different configs, too. Delete that please.

4) You can't have RealPlumes Stockalike inside your GameData folder, those all apply different ModuleManager patches in different passes, this is reason for trouble and misconfigured behaviour. 

 

Out of curiosity: CKAN or manual install? For the proper RO experience RO experience you can again install it via CKAN in 1.2.2 and this prevents having those issues fortunately :)

I hope this helps and fixes the problems, Cheers. 

 

5 hours ago, jacksawild said:

Installing from CKAN it seems that Semi Saturable Reaction Wheels is installing the 1.3 version. Installing SSRW v1.12 manually bypasses this issue and it seems that I can then install all the RO recommended and suggested mods from CKAN without issue.

Dare to elaborate? The newest release of SSRW doesn't crash in a 1.2.2 install. Source: tested it myself :)

Share this post


Link to post
Share on other sites
47 minutes ago, Theysen said:

Dare to elaborate? The newest release of SSRW doesn't crash in a 1.2.2 install. Source: tested it myself :)

Don't know what to tell you. I start with a fresh 1.2.2 install and I CKAN RSS and install everything except RO (or CKAN craps out). Then I install RO and install all the recommended mods (including SSRW) but I leave the suggested mods out. This results in a crash on start up.

 

KSP.log

 

output_log.txt

 

If I then remove SSRW and install the previous version v1.12 manually, I get a clean startup. It took me a while to narrow it down, and I do have other problems somewhere in the suggested mods which I will report when I can pinpoint it for you.

Share this post


Link to post
Share on other sites
18 hours ago, Ricovandijk said:

Place the fins under an angle so the rocket spins around. This gives it gyroscopic stability. 

Hello,

 

thats not the problem. The problem is that the rockets are not pointing straight up as in the VAB when I roll them out on the launchpad. In the VAB they point perfectly straight upwards, on the launchpad they are (including the launchclamps) 3 to 5 degrees offcenter. If it is still not clear I can come up with screenshots later today.

Share this post


Link to post
Share on other sites

Just saw only today that RO is out on CKAN. Trying a CKAN install, selected RO, selected all mods. Downloading now, will see what happens.

Well done and thanks for all the work collecting these mods into RO

EDIT : Whilst installing had access violation for realscaleboosters, pressing `continue` does nothing, CKAN hangs. Had to be closed with task manager(win7,64)

Will retry but without realscaleboosters.

EDIT 2: Installed fine this time.

EDIT 3 : Crashed on boot. Will investigate.

Edited by John FX

Share this post


Link to post
Share on other sites
11 hours ago, Bosun said:

Piggy Backing on JustZach - I'm hoping to scale the Mk1-3 pods back down to Kerbal Sized Pods, because they look way to big on EVA in RSS/RO.   I'd like to keep the attributes but simply scale the models back down to be properly sized with Kerbals, as well as the relevant fuel tanks, etc.   Is this also something I could modify via MM and if so, what value should I change?

I am really new is mm modular manager, and how exactly do you edit the mm?

Share this post


Link to post
Share on other sites

Please Delete if not useful.

Missing command parts in VAB. Occurs in combination with the RO configuration.

Amp Year(recently updated) seems to make most of the command modules disappear from the VAB.  I have tried previous version 1.4.6.0(jan 25th 2017?) and get the bug.

Possible conflicts with Module Manager, Kopernicus, ...

Share this post


Link to post
Share on other sites

@JustZach and @Bosun: you are going to break a lot of things regarding the aero and thermal behavour of the pods upon reentry if you just scale them down. Besides, it is not a straightforward thing, as you also need to move/scale any integrated RCS thrusters that the parts may include.

TL;DR not an easy thing to do, new "RO-like" MM configs will be needed and someone has to create them.

Share this post


Link to post
Share on other sites
3 hours ago, John FX said:

Just saw only today that RO is out on CKAN. Trying a CKAN install, selected RO, selected all mods. Downloading now, will see what happens.

Well done and thanks for all the work collecting these mods into RO

EDIT : Whilst installing had access violation for realscaleboosters, pressing `continue` does nothing, CKAN hangs. Had to be closed with task manager(win7,64)

Will retry but without realscaleboosters.

EDIT 2: Installed fine this time.

EDIT 3 : Crashed on boot. Will investigate.

 

Try replacing the CKAN installed version of Semi Saturable Reaction Wheels (compiled for 1.3) with a custom installed one from here: https://github.com/Crzyrndm/RW-Saturatable/releases

Edited by schneida
wrong link

Share this post


Link to post
Share on other sites
2 hours ago, Bjhines3d said:

Amp Year(recently updated) seems to make most of the command modules disappear from the VAB.  I have tried previous version 1.4.6.0(jan 25th 2017?) and get the bug.

Yes, I have the same bug.

Сonfirm.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.